## fonts-lohit-guru 2.91.2

=== Makefile ===
all: sfd-dist ttf woff eot ttf-dist web-dist
version:= 2.91.2

test: test-ttf
	@echo "----------Testing actual-output with expected-output----------"
	fontforge -lang=py -script auto_test.py std-test-out.txt Lohit-Gurmukhi.ttf

ttf: ttf-bin
	@echo "----------Generating ttf from sfd file----------"
	fontforge -lang=py -script apply_featurefile.py Lohit-Gurmukhi.sfd Lohit-Gurmukhi.fea
	./generate.pe *.sfd
	@echo "----------Finished generating ttf file----------"
	@echo " "

woff: woff-bin
	@echo "----------Generating woff from ttf file----------"
	sfntly -w Lohit-Gurmukhi.ttf Lohit-Gurmukhi.woff
	@echo "----------Finished generating woff file----------"
	@echo " "

eot: eot-bin
	@echo "----------Generating eot from ttf file----------"
	sfntly -e -x Lohit-Gurmukhi.ttf Lohit-Gurmukhi.eot
	@echo "----------Finished generating eot file----------"
	@echo " "

ttf-dist: dist
	mkdir lohit-gurmukhi-ttf-$(version)
	cp -p COPYRIGHT OFL.txt README  AUTHORS  ChangeLog  66-lohit-gurmukhi.conf Lohit-Gurmukhi.ttf io.pagure.lohit.gurmukhi.font.metainfo.xml lohit-gurmukhi-ttf-$(version)
	rm -rf lohit-gurmukhi-ttf-$(version)/.git
	tar -cf lohit-gurmukhi-ttf-$(version).tar lohit-gurmukhi-ttf-$(version)
	gzip lohit-gurmukhi-ttf-$(version).tar
	rm -rf lohit-gurmukhi-ttf-$(version)

sfd-dist: dist
	mkdir lohit-gurmukhi-$(version)
	cp -p COPYRIGHT OFL.txt test-gurmukhi.txt std-test-out.txt README AUTHORS generate*.pe apply_featurefile.py auto_test.py *.fea Makefile ChangeLog  66-lohit-gurmukhi.conf Lohit-Gurmukhi.sfd io.pagure.lohit.gurmukhi.font.metainfo.xml lohit-gurmukhi-$(version)
	rm -rf lohit-gurmukhi-$(version)/.git
	rm -rf lohit-gurmukhi-$(version)/*.ttf
	tar -cf lohit-gurmukhi-$(version).tar lohit-gurmukhi-$(version)
	gzip lohit-gurmukhi-$(version).tar
	rm -rf lohit-gurmukhi-$(version)

web-dist: webdist
	mkdir lohit-gurmukhi-web-$(version)
	cp -p COPYRIGHT OFL.txt README  AUTHORS  ChangeLog Lohit-Gurmukhi.woff  Lohit-Gurmukhi.eot lohit-gurmukhi-web-$(version)
	rm -rf lohit-gurmukhi-web-$(version)/.git
	tar -cf lohit-gurmukhi-web-$(version).tar lohit-gurmukhi-web-$(version)
	gzip lohit-gurmukhi-web-$(version).tar
	rm -rf lohit-gurmukhi-web-$(version)

clean: cleanall
	rm -f *.ttf *.eot *.woff
	rm -rf *.tar.gz
	rm -rf lohit-gurmukhi*

.PHONY: ttf-bin woff-bin eot-bin webdist dist cleanall version test-ttf

## fonts-lohit-guru 2.5.1

=== debian/changelog ===
fonts-lohit-guru (2.5.1-1) unstable; urgency=low

  * Split from ttf-punjabi-fonts
  
 -- Debian-IN Team <debian-in-workers@lists.alioth.debian.org>  Sun, 04 Mar 2012 16:42:37 +0530

=== debian/control ===
Source: fonts-lohit-guru
Section: fonts
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
Build-Depends: debhelper (>= 8.0.0),
               fontforge
Standards-Version: 3.9.3
Homepage: https://fedorahosted.org/lohit
Vcs-Git: git://git.debian.org/debian-in/fonts-lohit-pa.git
Vcs-Browser: http://git.debian.org/?p=debian-in/fonts-lohit-pa.git;a=summary

Package: fonts-lohit-guru
Architecture: all
Depends: ${misc:Depends}
Replaces: ttf-punjabi-fonts (<= 1:0.5.12)
Breaks: ttf-punjabi-fonts (<= 1:0.5.12)
Description: Lohit TrueType font for Punjabi Language
 This package provides Lohit TrueType font for Punjabi language which
 is primarily used in Indian and Pakistani state of Punjab.

## fonts-lohit-guru 2.5.3

=== debian/changelog ===
fonts-lohit-guru (2.5.3-2) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Qualify install and links file with the package name.
  * Introduce a udeb package to be used in the Debian Installer to get
    proper Punjabi rendering. Ship the fontconfig file directly under
    conf.d/ instead of conf.avail/ (the latter doesn't seem to exist in
    a netboot-gtk image). (Closes: #761570)

  [ Kartik Mistry ]
  * Bumped Standards-Version to 3.9.5 (no change).
  * Updated udeb description.

 -- Debian-IN Team <debian-in-workers@lists.alioth.debian.org>  Sun, 14 Sep 2014 22:06:36 +0530

fonts-lohit-guru (2.5.3-1) unstable; urgency=low

  * Imported Upstream version 2.5.3
  * Marked the pckage as Multi-Arch foreign to allow installation on
    multi-arch installations.
  * Vcs-* fields now use canonical anonscm.d.o URL's.
  * Bumped Standards-Version to 3.9.4 without changing source package.
  * Added links file to install symlink to 66-lohit-punjabi.conf to
    /etc/fonts/conf.d folder.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sat, 01 Jun 2013 16:52:20 +0530

=== debian/control ===
Source: fonts-lohit-guru
Section: fonts
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
Build-Depends: debhelper (>= 8.0.0),
               fontforge
Standards-Version: 3.9.5
Homepage: https://fedorahosted.org/lohit
Vcs-Git: git://anonscm.debian.org/debian-in/fonts-lohit-pa.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-in/fonts-lohit-pa.git

Package: fonts-lohit-guru
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: ttf-punjabi-fonts (<= 1:0.5.12)
Breaks: ttf-punjabi-fonts (<= 1:0.5.12)
Description: Lohit TrueType font for Punjabi Language
 This package provides Lohit TrueType font for Punjabi language which
 is primarily used in Indian and Pakistani state of Punjab.

Package: fonts-lohit-guru-udeb
Package-Type: udeb
Section: debian-installer
Architecture: all
Description: Lohit TrueType font for Punjabi Language (udeb)
 This package provides Lohit TrueType font for Punjabi language which
 is primarily used in Indian and Pakistani state of Punjab.
 .
 This is a udeb, or a microdeb, for the debian-installer.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

## fonts-lohit-guru 2.91.2

=== debian/changelog ===
fonts-lohit-guru (2.91.2-4) unstable; urgency=low

  * Team upload.
  * debian/rules:
    + Fixed failure to build source after successful build (Closes: #1044959)
  * Updated debian/watch to standard 5.
  * Fixed patch header.
  * debian/control:
    + Updated Standards-Version to 4.7.3
    + Removed redundant fields.
  * Updated debian/copyright.
  * Removed obsolete README.Debian file.

 -- Kartik Mistry <kartik@debian.org>  Thu, 08 Jan 2026 12:37:17 +0530

fonts-lohit-guru (2.91.2-3) unstable; urgency=low

  [ Kartik Mistry ]
  * Team upload.
  * Updated debian/copyright.
  * Updated debian/watch.
  * Updated upstream metadata file.
  * Disable tests instead of skipping.

  [ Debian Janitor ]
  * Refer to common license file for CC0-1.0.
  * Add missing ${misc:Depends} to Depends for fonts-lohit-guru-udeb.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Set Multi-Arch: foreign on package fonts-lohit-guru-udeb.
  * Update standards version to 4.6.1, no changes needed.

 -- Kartik Mistry <kartik@debian.org>  Wed, 23 Nov 2022 19:17:30 +0530

fonts-lohit-guru (2.91.2-2) unstable; urgency=low

  * Team upload.
  * Added debian/gitlab-ci.yml.
  * Updated debian/copyright.
  * debian/control:
    + Updated Standards-Version to 4.5.0
    + Switched to debhelper-compat.
    + Build-Depends: fontforge->fontforge-nox.
    + Added 'Rules-Requires-Root' field.
    + Updated Vcs-* URLs.

 -- Kartik Mistry <kartik@debian.org>  Tue, 21 Apr 2020 11:25:26 +0530

fonts-lohit-guru (2.91.2-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * Team upload.
  * Import Upstream version 2.91.2:
    - Font name changed from Lohit Punjabi to Lohit Gurmukhi.
  * Update debian/watch, Homepage, and Vcs-* fields.
  * Don't try to build WOFF or EOF fonts since they require sfntly
    which isn't in Debian yet.
  * Don't fail the build for failing tests yet.
  * Don't try to install nonexistent docs.
  * Add appstream metadata.
  * Add fix-appstream-metadata.patch.

  [ Kartik Mistry ]
  * debian/control:
    + Updated Standards-Version to 4.0.0.
    + Bumped debhelper dependency to 10.

 -- Kartik Mistry <kartik@debian.org>  Sun, 25 Jun 2017 09:04:29 +0530

=== debian/control ===
Source: fonts-lohit-guru
Section: fonts
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
Build-Depends: debhelper-compat (= 13), fontforge-nox
Standards-Version: 4.7.3
Homepage: https://pagure.io/lohit
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-lohit-pa.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-lohit-pa

Package: fonts-lohit-guru
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: ttf-punjabi-fonts (<= 1:0.5.12)
Breaks: ttf-punjabi-fonts (<= 1:0.5.12)
Description: Lohit TrueType font for Punjabi Language
 This package provides Lohit TrueType font for Punjabi language which
 is primarily used in Indian and Pakistani state of Punjab.

Package: fonts-lohit-guru-udeb
Package-Type: udeb
Section: debian-installer
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Lohit TrueType font for Punjabi Language (udeb)
 This package provides Lohit TrueType font for Punjabi language which
 is primarily used in Indian and Pakistani state of Punjab.
 .
 This is a udeb, or a microdeb, for the debian-installer.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	mkdir -p build
	cp Lohit-Gurmukhi.sfd build/
	fontforge -lang=py -script apply_featurefile.py \
			build/Lohit-Gurmukhi.sfd Lohit-Gurmukhi.fea Lohit-Gurmukhi.sfd
	(cd build && fontforge -script ../generate.pe Lohit-Gurmukhi.sfd)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

override_dh_auto_test:
	# Skip tests since they aren't working yet
	# https://github.com/pravins/lohit/issues/83

=== debian/watch ===
Version: 5

Source: https://releases.pagure.org/lohit/
Matching-Pattern: lohit-gurmukhi-@ANY_VERSION@@ARCHIVE_EXT@
